Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

upgrade Carbon1 to Carbon2 #927

Closed
michealzh opened this issue Jun 4, 2019 · 7 comments
Closed

upgrade Carbon1 to Carbon2 #927

michealzh opened this issue Jun 4, 2019 · 7 comments

Comments

@michealzh
Copy link
Contributor

@michealzh michealzh commented Jun 4, 2019

Create new project when using the flowing command:

composer create-project laravel/lumen:"5.5.*" lumen55

composer promot msssage is as flows:

Carbon 1 is deprecated, see how to migrate to Carbon 2.
https://carbon.nesbot.com/docs/#api-carbon-2
    You can run './vendor/bin/upgrade-carbon' to get help in updating carbon and other frameworks and libraries that depend on it.

So we need upgrade illuminate/support package, or our Laravel teams need to upgrade Carbon package to Carbon2 that is need by illuminate/support.

@driesvints

This comment has been minimized.

Copy link
Member

@driesvints driesvints commented Jun 4, 2019

Hey there,

Unfortunately we don't support this version anymore. Please check out our support policy on which versions we are currently supporting. Can you please try to upgrade to the latest version and see if your problem persists? We'll help you out and re-open this issue if so.

Thanks!

@driesvints driesvints closed this Jun 4, 2019
@mrahmadt

This comment has been minimized.

Copy link

@mrahmadt mrahmadt commented Jun 5, 2019

Same message when using lumen 5.7

@michealzh

This comment has been minimized.

Copy link
Contributor Author

@michealzh michealzh commented Jun 5, 2019

For some reason in my project,after upgrade to lastest version of lumen-framework,we need more unit-test for new version of framework,I will try your suggestion.Thank you very much!

@alexszilagyi

This comment has been minimized.

Copy link

@alexszilagyi alexszilagyi commented Jun 22, 2019

Any fix for this / workaround?

@otonielguajardo

This comment has been minimized.

Copy link

@otonielguajardo otonielguajardo commented Jul 7, 2019

Any update on this?

@driesvints

This comment has been minimized.

Copy link
Member

@driesvints driesvints commented Jul 8, 2019

Please upgrade to the latest Lumen release and Carbon 2. Carbon 1 isn't supported anymore.

@kamhawy4

This comment has been minimized.

Copy link

@kamhawy4 kamhawy4 commented Jul 18, 2019

Run - > composer update
Run the Path -> ./vendor/bin/upgrade-carbon

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
6 participants
You can’t perform that action at this time.